namespace elm { namespace segment_control { 
inline ::efl::eolian::return_traits<int>::type Item::index_get() const
{
   int __return_value =  ::elm_obj_segment_control_item_index_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_segment_control_item_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_segment_control_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
} } 
namespace eo_cxx {
namespace elm { namespace segment_control { 
inline ::efl::eolian::return_traits<int>::type Item::index_get() const
{
   int __return_value =  ::elm_obj_segment_control_item_index_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Item::object_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_segment_control_item_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_segment_control_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline elm::segment_control::Item::operator ::elm::segment_control::Item() const { return *static_cast< ::elm::segment_control::Item const*>(static_cast<void const*>(this)); }
inline elm::segment_control::Item::operator ::elm::segment_control::Item&() { return *static_cast< ::elm::segment_control::Item*>(static_cast<void*>(this)); }
inline elm::segment_control::Item::operator ::elm::segment_control::Item const&() const { return *static_cast< ::elm::segment_control::Item const*>(static_cast<void const*>(this)); }
} } }

